import QtQuick 2.0

Rectangle {
    width: 598
    height: 26
    color: "#d5edff"
    border.color: "#ffffff"
    opacity: 0.9
    border.width: 0
    property string strText: ""
    property string strTelefon: ""
    property string strProgress: ""
    property string pathProgress: ""
    property double dW: 0

    Text {
        x: 8
        y: 4
        width: 197
        height: 18
        text: qsTr(strText)
        
        z: 1
	horizontalAlignment: Text.AlignHLeft
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 17
    }

    Image {
        id: image1
        x: 347
        y: 7
        width: 12
        height: 12
        z: 1
        source: "telefon.png"
        
    }

    Text {
        x: 367
        y: 3
        width: 116
        height: 20
        text: qsTr(strTelefon)
        font.family: "Arial"
        z: 1
	horizontalAlignment: Text.AlignHLeft
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 20
    }

    Text {
        x: 550
        y: 3
        width: 36
        height: 20
        text: qsTr(strProgress)
        font.family: "Arial"
        font.bold: false
        z: 1
        horizontalAlignment: Text.AlignRight
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 20
    }

    Image {
        id: image2
        x: 0
        y: 0
        width: dW
        height: 26
        opacity: 0.9
        fillMode: Image.TileHorizontally
        source: pathProgress
    }
}

