import QtQuick 2.0
import "JScript.js" as JS

Item {
    id: idQML
    width: 720
    height: 576
    property double side: 1
    property string title_front: ""
    property string title_back: ""
    property double nowProgress1: 0
    property double nowProgress2: 0
    property double nowProgress3: 0
    property string xSide: "3333333333"

    Qwest{
        id: qwest
        x: 61
        y: 448
        strText:""
    }


    Progress{
        id: anse1
        x: 61
        y: 478
        strText:""
        strTelefon:"8-800-100-24-05"
        pathProgress:"Progress1.png"
    }

    Progress{
        id: anse2
        x: 61
        y: 504
        strText:""
        strTelefon:"8-800-100-24-06"
        pathProgress:"Progress2.png"
    }

    SequentialAnimation{
        id: animal1
        running: false

        NumberAnimation {
            id:runrollanimation1
            target: anse1;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }

    }

    SequentialAnimation{
        id: animal2
        running: false

        NumberAnimation {
            id:runrollanimation2
            target: anse2;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }

    }

/*    SequentialAnimation{
        id: animal3
        running: false

        NumberAnimation {
            id:runrollanimation3
            target: anse3;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500

        }
    }
*/
    Timer {
          id: timerRunning
          interval: 1000; running: false; repeat: true;
          onTriggered:
          {
              JS.main();

          }
    }

 /*   Text {
        id: text1
        x: 496
        y: 230
        color: "#d5edff"
        text: qsTr("Звонок бесплатный")
        font.bold: true
        font.family: "Tahoma"
        style: Text.Outline
        font.pixelSize: 16
    }
 */
    Sponsor{
        id:iactive
        x: 59
        y: 533
        width: 598
        height: 23
    }

    SequentialAnimation{
        id: animals
        running: false
            NumberAnimation {
                id: animal
                target: iactive;
                property: "dX";
                easing.type: Easing.Linear;
                from: 0; to: 0;
                duration: 500
            }
            onRunningChanged: {
                if (iactive.dX == 0){
                    //animals.stop();
                    iactive.dText = xSide
                    animal.from = 0;
                    animal.to = -90;
                    animals.start();
                }
            }
    }

    Component.onCompleted: {
        timerRunning.running = true
        JS.main();
        animals.running = true
    }
}

